<?php
/**
 * create the breadcrumb trail
 * see {@link  http://www.zen-cart.com/wiki/index.php/Developers_API_Tutorials#InitSystem wikitutorials} for more details.
 * @copyright Copyright 2006-2024 Jest Country Enterprises
 * @copyright Copyright 2003-2024 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: modified by mikeel100 Sat Mar 26 18:25 version 1.5.8a
 */
if (!defined('IS_ADMIN_FLAG')) {
  die('Illegal Access');
}
$breadcrumb->add(HEADER_TITLE_CATALOG, zen_href_link(FILENAME_DEFAULT));
//mikeel100 - FIXES EMPTY BREADCRUMB (:nothing here) WHEN SEARCHING FOR ALL OR NEW OR ANY SEARCH WHERE THERE IS NO KEYWORD IN THE SEARCH CRITERIA
	$catID = (isset($_GET['categories_id']) ? $_GET['categories_id'] : ''); 
	if(!empty($catID)) {
		$categories_query = "select categories_name from " . TABLE_CATEGORIES_DESCRIPTION . " where categories_id = '" . (int)$catID . "' and language_id = '" . (int)$_SESSION['languages_id'] . "'";
  $categories = $db->Execute($categories_query);
  $breadcrumb->add('<a href="' . zen_catalog_href_link('index', 'cPath=' . zen_get_generated_category_path_rev($catID), 'NONSSL') . '">' . $categories->fields['categories_name'] . '</a>');
}
if($_GET['main_page'] == 'search_result') {
	if(!empty($_GET['dto']) && $_GET['dto'] > date('m/d/Y')) {
		$breadcrumb->add('Upcoming Products');
	}
	if(!empty($_GET['dfrom']) && $_GET['dfrom'] !== ADVANCED_SEARCH_NEW_PRODUCTS_DATE_FROM) {
    $breadcrumb->add('Date Range: ' . $_GET['dfrom'] . ' ↔ ' . $_GET['dto']);
	}
	if(!empty($_GET['dfrom']) && $_GET['dfrom'] == ADVANCED_SEARCH_NEW_PRODUCTS_DATE_FROM) {
		$breadcrumb->add('New Products');
	}  
	if(!isset($_GET['pto'])) {
		$_GET['pto'] = '';
	}
	if(empty($_GET['dfrom']) && !empty($_GET['dto']) && $_GET['dto'] == date('m/d/Y') && empty($_GET['categories_id']) && empty($_GET['manufacturers_id'])) {   
		$breadcrumb->add('All Products');
	}
	if(!empty($_GET['pfrom']) || !empty($_GET['pto'])) {
		if(empty($_GET['pfrom'])) {
			$_GET['pfrom'] = 0;
		}	
		if(empty($_GET['pto'])) {
			$_GET['pto'] = 100000;
		}	
    $priceRange = 'Price Range: $' . $_GET['pfrom'] . ' ↔ $' . $_GET['pto'];
		$breadcrumb->add($priceRange);
	} 
}	
//end mikeel100
/**
 * add category names or the manufacturer name to the breadcrumb trail
 */
if (!isset($robotsNoIndex)) $robotsNoIndex = false;
// might need isset($_GET['cPath']) later ... right now need $cPath or breaks breadcrumb from sidebox etc.
//mikeel100
if(!isset($mfg)) {
  $random_mfg = $db->execute("SELECT `manufacturers_id` FROM `" . TABLE_MANUFACTURERS . "` ORDER BY RAND() LIMIT 1 "); 
  $mfg = $random_mfg->fields['manufacturers_id'];
}
if (isset($_GET['manufacturers_id']) && $_GET['manufacturers_id'] > 0) {
  $breadcrumb->add('Manufacturers');
}
//end mikeel100
if (isset($cPath_array) && isset($cPath)) {
  for ($i=0, $n=sizeof($cPath_array); $i<$n; $i++) {
    $categories_query = "select categories_name
                           from " . TABLE_CATEGORIES_DESCRIPTION . "
                           where categories_id = '" . (int)$cPath_array[$i] . "'
                           and language_id = '" . (int)$_SESSION['languages_id'] . "'";

    $categories = $db->Execute($categories_query);
    if ($categories->RecordCount() > 0) {
      $breadcrumb->add($categories->fields['categories_name'], zen_href_link(FILENAME_DEFAULT, 'cPath=' . implode('_', array_slice($cPath_array, 0, ($i+1)))));
    } elseif(SHOW_CATEGORIES_ALWAYS == 0) {
      // if invalid, set the robots noindex/nofollow for this page
      $robotsNoIndex = true;
      break;
    }
  }
}
/**
 * add get terms (e.g manufacturer, music genre, record company or other user defined selector) to breadcrumb
 */
$sql = "select *
        from " . TABLE_GET_TERMS_TO_FILTER;
$get_terms = $db->execute($sql);
while (!$get_terms->EOF) {
	if (isset($_GET[$get_terms->fields['get_term_name']])) {
		$sql = "select " . $get_terms->fields['get_term_name_field'] . "
		        from " . constant($get_terms->fields['get_term_table']) . "
		        where " . $get_terms->fields['get_term_name'] . " =  " . (int)$_GET[$get_terms->fields['get_term_name']];
		$get_term_breadcrumb = $db->execute($sql);
    if ($get_term_breadcrumb->RecordCount() > 0) {
      $breadcrumb->add($get_term_breadcrumb->fields[$get_terms->fields['get_term_name_field']], zen_href_link(FILENAME_DEFAULT, $get_terms->fields['get_term_name'] . "=" . $_GET[$get_terms->fields['get_term_name']]));
    }
	}
	$get_terms->MoveNext();
}
/**
 * add the products model to the breadcrumb trail
 */
if (isset($_GET['products_id'])) {
  $productname_query = "select products_name
                   from " . TABLE_PRODUCTS_DESCRIPTION . "
                   where products_id = '" . (int)$_GET['products_id'] . "'
             and language_id = '" . $_SESSION['languages_id'] . "'";

  $productname = $db->Execute($productname_query);

  if ($productname->RecordCount() > 0) {
    $breadcrumb->add($productname->fields['products_name'], zen_href_link(zen_get_info_page($_GET['products_id']), 'cPath=' . $cPath . '&products_id=' . $_GET['products_id']));
  }
}
